#ifndef MPATHITEM_H
#define MPATHITEM_H

#include <QGraphicsPathItem>

class mPathItem : public QGraphicsPathItem
{

public:
	mPathItem(const QPainterPath &path, QGraphicsItem *parent = 0) : QGraphicsPathItem(path,parent){
			mPathItemInit();
	}

protected:
	void mPathItemInit();
	void mousePressEvent(QGraphicsSceneMouseEvent *event);

public:
	void init(int _index);
	int wasClicked();
public:
	int index;
	int clicked;
};

#endif // MPATHITEM_H
